GET /v1/triggers/{type}
Get a trigger definition by type
GET
/v1/triggers/{type}
Get a trigger definition by type
Path Parameters
type
string
required
path
Trigger type
Responses
200
OK
application/jsoncode
integer
data
object
connector
object
nil means no connector required
type
string
Required connector type (e.g., "slack")
walletSupport
string[]
Wallet account types this action supports (e.g., ["eoa"]). Nil = all types allowed.
Array of:
createdBy
string
description
string
documentationUrl
string
logoUrl
string
name
string
payloadSchema
object
Separate schema for wait-for-trigger config
resultSchema
object
Separate schema for wait-for-trigger config
tags
string[]
Tags for filtering and categorization
Array of:
type
string
waitPayloadSchema
object
Separate schema for wait-for-trigger config
message
string
requestId
string
404
Not Found
curl -X GET 'https://api.example.com/v1/triggers/string' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.example.com/v1/triggers/string', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.example.com/v1/triggers/string', headers=headers)print(response.json())
package mainimport ( "fmt" "io" "net/http")func main() { req, _ := http.NewRequest("GET", "https://api.example.com/v1/triggers/string", nil) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "code": 0, "data": { "connector": { "type": "<string>", "walletSupport": [ "<string>" ] }, "createdBy": "<string>", "description": "<string>", "documentationUrl": "<string>", "logoUrl": "<string>", "name": "<string>", "payloadSchema": "<object>", "resultSchema": "<object>", "tags": [ "<string>" ], "type": "<string>", "waitPayloadSchema": "<object>" }, "message": "successfully", "requestId": "abc-123"}
API Playground
Try this endpoint
GET
/v1/triggers/{type}
